
From: Eric Van Hensbergen <ericvh@gmail.com>

Fixed a bunch of cast conversions to remove -Wbitwise warnings from sparse.

Signed-off-by: Eric Van Hensbergen <ericvh@gmail.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 fs/9p/conv.c |   12 ++++++------
 1 files changed, 6 insertions(+), 6 deletions(-)

diff -puN fs/9p/conv.c~v9fs-9p-protocol-implementation-remove-sparse-bitwise-warnings fs/9p/conv.c
--- devel/fs/9p/conv.c~v9fs-9p-protocol-implementation-remove-sparse-bitwise-warnings	2005-08-29 22:26:45.000000000 -0700
+++ devel-akpm/fs/9p/conv.c	2005-08-29 22:26:45.000000000 -0700
@@ -88,7 +88,7 @@ static inline void buf_put_int16(struct 
 {
 	buf_check_size(buf, 2);
 
-	*(u16 *) buf->p = cpu_to_le16(val);
+	*(__le16 *) buf->p = cpu_to_le16(val);
 	buf->p += 2;
 }
 
@@ -96,7 +96,7 @@ static inline void buf_put_int32(struct 
 {
 	buf_check_size(buf, 4);
 
-	*(u32 *)buf->p = cpu_to_le32(val);
+	*(__le32 *)buf->p = cpu_to_le32(val);
 	buf->p += 4;
 }
 
@@ -104,7 +104,7 @@ static inline void buf_put_int64(struct 
 {
 	buf_check_size(buf, 8);
 
-	*(u64 *)buf->p = cpu_to_le64(val);
+	*(__le64 *)buf->p = cpu_to_le64(val);
 	buf->p += 8;
 }
 
@@ -147,7 +147,7 @@ static inline u16 buf_get_int16(struct c
 	u16 ret = 0;
 
 	buf_check_size(buf, 2);
-	ret = le16_to_cpu(*(u16 *)buf->p);
+	ret = le16_to_cpu(*(__le16 *)buf->p);
 
 	buf->p += 2;
 
@@ -159,7 +159,7 @@ static inline u32 buf_get_int32(struct c
 	u32 ret = 0;
 
 	buf_check_size(buf, 4);
-	ret = le32_to_cpu(*(u32 *)buf->p);
+	ret = le32_to_cpu(*(__le32 *)buf->p);
 
 	buf->p += 4;
 
@@ -171,7 +171,7 @@ static inline u64 buf_get_int64(struct c
 	u64 ret = 0;
 
 	buf_check_size(buf, 8);
-	ret = le64_to_cpu(*(u64 *)buf->p);
+	ret = le64_to_cpu(*(__le64 *)buf->p);
 
 	buf->p += 8;
 
_
